Package org.jboss.modules.management

# Class DependencyInfo

java.lang.Object
org.jboss.modules.management.DependencyInfo

public final class DependencyInfo extends Object
Information describing a dependency.

Author:
  David M. Lloyd

## Constructor Summary

Constructors
Constructor
Description
`DependencyInfo(String dependencyType, String exportFilter, String importFilter, ModuleLoaderMXBean moduleLoader, String moduleName, boolean optional, String localLoader, List<String> localLoaderPaths)`
Construct a new instance.

## Method Summary

Modifier and Type
Method
Description
`String`
`getDependencyType()`
Get the dependency type class name.
`String`
`getExportFilter()`
Get the export filter, as a string.
`String`
`getImportFilter()`
Get the import filter, as a string.
`String`
`getLocalLoader()`
Get the local loader type class name.
`List<String>`
`getLocalLoaderPaths()`
Get the list of paths made available by the local loader.
`ModuleLoaderMXBean`
`getModuleLoader()`
Get the module loader MXBean of this dependency.
`String`
`getModuleName()`
Get the module name, as a string.
`boolean`
`isOptional()`
Determine whether this is an optional dependency.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DependencyInfo

@ConstructorProperties({"dependencyType","exportFilter","importFilter","moduleLoader","moduleName","optional","localLoader","localLoaderPaths"}) public DependencyInfo(String dependencyType, String exportFilter, String importFilter, ModuleLoaderMXBean moduleLoader, String moduleName, boolean optional, String localLoader, List<String> localLoaderPaths)
Construct a new instance.

Parameters:
  `dependencyType` - the dependency type class name
  `exportFilter` - the export filter, as a string
  `importFilter` - the import filter, as a string
  `moduleLoader` - the module loader MXBean of this dependency
  `moduleName` - the module name, as a string
  `optional` - `true` if this is an optional dependency
  `localLoader` - the local loader type class name
  `localLoaderPaths` - the list of paths made available by the local loader

## Method Details

### getDependencyType

public String getDependencyType()
Get the dependency type class name.

Returns:
  the dependency type class name

### getExportFilter

public String getExportFilter()
Get the export filter, as a string.

Returns:
  the export filter, as a string

### getImportFilter

public String getImportFilter()
Get the import filter, as a string.

Returns:
  the import filter, as a string

### getModuleLoader

public ModuleLoaderMXBean getModuleLoader()
Get the module loader MXBean of this dependency.

Returns:
  the module loader MXBean of this dependency

### getModuleName

public String getModuleName()
Get the module name, as a string.

Returns:
  the module name, as a string

### isOptional

public boolean isOptional()
Determine whether this is an optional dependency.

Returns:
  `true` if this is an optional dependency

### getLocalLoader

public String getLocalLoader()
Get the local loader type class name.

Returns:
  the local loader type class name

### getLocalLoaderPaths

public List<String> getLocalLoaderPaths()
Get the list of paths made available by the local loader.

Returns:
  the list of paths made available by the local loader